<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::PlaneOptimalShadowCameraSetup Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#863c932c61c929cbb80cd6fe5c56fad1">computeConstrainedProjection</a>(const Vector4 &amp;pinhole, const std::vector&lt; Vector4 &gt; &amp;fpoint, const std::vector&lt; Vector2 &gt; &amp;constraint) const </td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#c5f4e3dc347c87d35244064665448937">getShadowCamera</a>(const SceneManager *sm, const Camera *cam, const Viewport *vp, const Light *light, Camera *texCam) const </td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#f78baef232d987b714fe27a4f5e70b14">m_plane</a></td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#f08678d2dee8c44a9467aacae33bac39">PlaneOptimalShadowCameraSetup</a>()</td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#84aeb5d693cf9235080fc84031ec881f">PlaneOptimalShadowCameraSetup</a>(MovablePlane *plane)</td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html#0fdd507e53ed2fecb42080c9c9fe85ec">~PlaneOptimalShadowCameraSetup</a>()</td><td><a class="el" href="classOgre_1_1PlaneOptimalShadowCameraSetup.html">Ogre::PlaneOptimalShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html#790a06721a8e3c6f48218aa659c334ef">~ShadowCameraSetup</a>()</td><td><a class="el" href="classOgre_1_1ShadowCameraSetup.html">Ogre::ShadowCameraSetup</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:36 2008
</p>
</body>
</html>
